{ config, pkgs, ... }:

{
  networking = {
    hostName = "nixos-server-nut";
    hostId = "d5a2ce61";
    firewall.enable = false;
    interfaces.ens18 = {
      ipv4.addresses = [
        {
          address = "192.168.0.20";
          prefixLength = 24;
        }
      ];
    };
    defaultGateway = "192.168.0.1";
    nameservers = [ "192.168.0.1" "1.1.1.1" ];
  };
  
  users.users.admin.linger = true;
  system.stateVersion = "24.11";
}